org.eclipse.jgit.merge

## Enum MergeChunk.ConflictState

- java.lang.Object
- - java.lang.Enum<MergeChunk.ConflictState>
  - - org.eclipse.jgit.merge.MergeChunk.ConflictState

All Implemented Interfaces:
  Serializable, Comparable<MergeChunk.ConflictState>

Enclosing class:
  MergeChunk

    public static enum MergeChunk.ConflictState
    extends Enum<MergeChunk.ConflictState>

A state telling whether a MergeChunk belongs to a conflict or not. The first chunk of a conflict is reported with a special state to be able to distinguish the border between two consecutive conflicts

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FIRST_CONFLICTING_RANGE` This chunk does belong to a conflict and is the first one of the conflicting chunks
`NEXT_CONFLICTING_RANGE` This chunk does belong to a conflict but is not the first one of the conflicting chunks.
`NO_CONFLICT` This chunk does not belong to a conflict

### Method Summary

Methods
`static MergeChunk.ConflictState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MergeChunk.ConflictState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NO_CONFLICT

    public static final MergeChunk.ConflictState NO_CONFLICT

This chunk does not belong to a conflict

#### FIRST_CONFLICTING_RANGE

    public static final MergeChunk.ConflictState FIRST_CONFLICTING_RANGE

This chunk does belong to a conflict and is the first one of the conflicting chunks

#### NEXT_CONFLICTING_RANGE

    public static final MergeChunk.ConflictState NEXT_CONFLICTING_RANGE

This chunk does belong to a conflict but is not the first one of the conflicting chunks. It's a subsequent one.

### Method Detail

#### values

    public static MergeChunk.ConflictState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MergeChunk.ConflictState c : MergeChunk.ConflictState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MergeChunk.ConflictState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null